<?php

namespace Ebuy\Demo\Repositories\Eloquent;

use Ebuy\Demo\Interfaces\DemoRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class DemoRepository extends BaseRepository implements DemoRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('ebuy.demo.demo.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('ebuy.demo.demo.model.model');
    }
}
